@import '../icon-fonts.styl'
@import './components.styl'


$base-color = #ff6347
$base-color = rgb(52, 168, 83)
$base-color = #16a1e7

$base-color-2 = #fff

$base-color-3 = #000

$font-family = "Roboto", sans-serif

html
	font-size 12px
	font-family $font-family
	background #fff

body
	background-color darken(#fff, 1%)
	overflow hidden


#headerContainer
	background-color #eee
	box-shadow 0 2px 2px 0 rgba(0,0,0,0.14), 0 1px 5px 0 rgba(0,0,0,0.12), 0 3px 1px -2px rgba(0,0,0,0.2)
	margin 0px !important
	padding 0px !important

	.row
	.col
	p
		margin 0px !important
		padding 0px !important

	.kriyaMenuBlock{
		height 3.6rem

		.kriyaMenuContainer{
			background-color $base-color-2
			color rgb(68, 68, 68)
			font-size 0.92rem
			line-height 0.92rem
			height 100%

			.kriyaMenuLogo{
				background-color #fff
				box-shadow 3px 0 2px -2px rgba(39,36,36,0.5)
				float left
				height 3.5rem
				margin-right 5px
				padding 1px
				width 6.5rem

				.kriyaLogo{
					height 100%
				}
			}

			.kriyaMenuStatic
			.kriyaMenu{
				background-color #CCC
				display inline-block
				font-size 0.92rem
				line-height 0.92rem
				padding-top 0.8rem

				a
				.btn-group{
					background-color #CCC
					color rgb(68, 68, 68)
					display inline-block
					font-weight bold
					padding 5px 15px 5px 15px
					text-decoration none
				}
			}

			.kriyaMenuStatic {
				border-right: 1px solid rgba(39,36,36,0.3)
				box-shadow: 3px 0 2px -3px rgba(39,36,36,0.5)
				float: left;
				height 3.5rem
				margin-right: 0.4rem;
				padding 1.6rem 5px 0px 5px
				.mnuButtons {
					border 1px solid transparent
					display inline-block
					font-size 1.3rem
					min-width 1.75rem
					height 2rem
					padding 4px
				}
				.mnuButtons:hover {
					background lighten($base-color, 60%)
					border 1px solid $base-color
					cursor pointer
				}
			}

			.kriyaMenu.active{
				a{
					background-color $base-color
					color: white
				}
			}

		}
		.kriyaSubMenuContainer{
			background-color #F5F5F5
			border-bottom 1px solid rgba(167, 163, 163, 0.75)
			border-top 2px solid $base-color
			padding 1px 0 1px 0 !important
			font-size 0.92rem
			line-height 0.92rem

			.btnGroupContainer{
				border-right: 1px solid rgba(167,163,163,0.75);
				display: block;
				font-size: 11px;
				float: left;
				min-width: 6rem;
				padding: 5px;
				position: relative;
				margin-top: 1px;
				
				@media screen and (max-width: 1000px){
					padding: 3px;
				}

				.btn-group {
					display block
					height 2rem
					padding 2px
					text-align center

					&:hover{
						cursor pointer
					}
					.btn-sub-group{
						display block
						float left
					}

					.mnuButtons {
						color: darken($base-color, 60%)
						border 1px solid #F5F5F5
						display inline-block
						font-size 1.3rem
						min-width 1.75rem
						height 2rem
						padding 4px
						
						@media screen and (max-width: 1000px){
							padding: 2px
						}
					}
					.mnuButtons.active{
						box-shadow 0px 0px 3px 0px #292929
					}
					.mnuButtons:hover {
						box-shadow: 0 1px 1px rgba(0,0,0,.1);
						background-color: #f8f8f8;
						border-color: #c6c6c6!important;
						cursor pointer
					}
					.mnuButtons + .mnuButtons {
						margin-left 4px
					}

				}
			}

			.nav-action-icon{
				width: 14.25%
				float: right
				border-left: 1px solid
				text-align: center
			}
			.toolbarRightSec {
				width: 42%;
				float: right;

				& .toolRightTab {	
				    font-size: 1.4rem;
				    padding: 10px;
				    position: relative;
				    margin-top: 1px;
				    display: inline-block;
				    cursor: pointer;

				    &:hover {
				    	box-shadow: 0 1px 1px rgba(0,0,0,0.1);
					    background-color: #d4d4d4;
					    border-color: #c6c6c6 !important;
					    cursor: pointer;
				    }

				    &.active {
						background-color: #d4d4d4;				    
				    }

				}
			}
		}

	}

#footerContainer
	background lighten($base-color-2, 92%)
	border-top 1px solid darken($base-color-2, 10%)
	bottom 0
	box-shadow 0px 5px 10px 1px darken($base-color-2, 40%)
	font-size 1rem
	height 1.5rem
	left 0
	margin 0px !important
	padding 0px !important
	position absolute
	right 0
	text-align center

.hidden
	display none

.btn-small {
	text-transform: inherit;
    height: 24px;
    padding: 4px 10px 4px 10px;
    line-height: 16px;
    font-size: 12px;
    margin-left: 5px;
}

.autocomplete-content {
    position: absolute;
    max-height: 300px;

    & li {
    	min-height: 25px;
    	
    	& > span {
    		padding: 6px 6px;
    	}
    }
}
	
.articleControls {
	font-size: 1rem;
    height: 20px;
    line-height: 12px;
    margin-left: 5px;
    padding: 5px 6px;
}


.bankedCard .coverNotes {
		margin-bottom: 10px;
	    background-color: transparent;
	    border: none;
	    position: relative;
	    border-bottom: 1px solid #9e9e9e;
	    border-radius: 0;
	    outline: none;
	    display: inline-block;
	    width: calc(100% - 10px);
	    font-size: 110%;
	    line-height: 140%;
	    min-height: 1.5em;
	    margin: 1.2rem 0 1.2rem 0;
	    padding-bottom: 3px;
	    box-shadow: none;
	    box-sizing: content-box;
	    padding: 0 3px;
	    
	}
#toast-container {
	right 3%
	max-width 300px
	
	.row{
		margin-bottom 5px !important;
	}
	& .toast {
	    padding 0px !important
	    min-height 0px !important
	    min-width 20rem

	    & .kriya-notice {
	    	padding 1rem
	    	width 100%

	    	& .kriya-notice-header {
	    		& .icon {
	    			margin-right: 0.5rem;
	    		}

	    		& .icon-close {
	    			float: right;
    				font-weight: bold;
    				cursor: pointer;
	    		}
	    	}

	    	&.success {
	    		background-color: #00BCD4;
    			color: #fff;
	    	}

	    	&.warning {
	    		background-color: #ffbb57;
    			color: #fff;
	    	}

	    	&.error {
	    		background-color: lightcoral;
    			color: #fff;
	    	}
			a {
				color: white;
				padding: 5px 6px;
				font-size: 1rem !important;
				line-height: 26px !important;
				background: #0D618B;
			}
			.kriya-notice-body{
				word-break: normal;
				
				> .row{
					max-height: 70vh
					overflow-y: auto
				}
			}

	    }
	}	
}
